<template>
  <ContentScrollView hasPaddingTop style="background-color: transparent">
    <EditElectricUserAccount :id="id" @success="handleSuccess" ref="editElectricUserAccountRef" />
  </ContentScrollView>
  <PageFooter>
    <PageFooterBtn type="primary" @click="handleSave">保存</PageFooterBtn>
  </PageFooter>
</template>

<script setup lang="ts">
import Taro from '@tarojs/taro';
import { EditElectricUserAccount } from '@life-payment/components';
import { goBack } from '@/utils';
import type { ComponentExposed } from 'vue-component-type-helpers';

defineOptions({
  name: 'InnerPage',
});

const router = Taro.useRouter();
const id = router.params?.id ?? '';

const editElectricUserAccountRef = useTemplateRef<ComponentExposed<typeof EditElectricUserAccount>>(
  'editElectricUserAccountRef'
);

function handleSave() {
  editElectricUserAccountRef.value?.handleSave?.();
}

function handleSuccess() {
  goBack();
}
</script>
